Summary:	The GLib Ncurses Toolkit
Summary(pl.UTF-8):	Biblioteka GLib Ncurses Toolkit
Name:		libgnt
Version:	2.14.3
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	https://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.xz
# Source0-md5:	15c5e934fc5dec533a6d974639b54291
URL:		https://keep.imfreedom.org/libgnt/libgnt
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gtk-doc
BuildRequires:	libxml2-devel >= 1:2.6.0
BuildRequires:	meson >= 0.44.0
BuildRequires:	ncurses-devel
BuildRequires:	ncurses-ext-devel
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.16.0
Requires:	libxml2 >= 1:2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNT is an ncurses toolkit for creating text-mode graphical user
interfaces in a fast and easy way. It is based on GLib and ncurses.

It was born out of the console-based UI, Finch, for the libpurple
project, but has now been split into its own independent repository.

%description -l pl.UTF-8
GNT to biblioteka narzędziowa ncurses do tworzenia graficznych
interfejsów użytkownika w trybie tekstowym w szybki i łatwy sposób.
Jeset oparta na bibliotekach GLib i ncurses.

Biblioteka powstała z konsolowego interfejsu użytkownika Finch,
stworzonego dla projektu libpurple, ale została wydzielona do
samodzielnego repozytorium.

%package devel
Summary:	Header files for GNT library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GNT
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for GNT library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GNT.

%package static
Summary:	Static GNT library
Summary(pl.UTF-8):	Statyczna biblioteka GNT
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GNT library.

%description static -l pl.UTF-8
Statyczna biblioteka GNT.

%package apidocs
Summary:	GNT API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki GNT
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
GNT API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GNT.

%prep
%setup -q

%{__sed} -i -e 's/ = library(/ = shared_library(/' wms/meson.build

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT ChangeLog README.md
%attr(755,root,root) %{_libdir}/libgnt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnt.so.0
%dir %{_libdir}/gnt
%attr(755,root,root) %{_libdir}/gnt/irssi.so
%attr(755,root,root) %{_libdir}/gnt/s.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnt.so
%{_includedir}/gnt
%{_pkgconfigdir}/gnt.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnt.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgnt
%changelog
* Fri Jan 28 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnt.git;a=log;h=master

* Thu Jan 27 2022 Jan Palus <atler@pld-linux.org> 4191391
- up to 2.14.3

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> 923d96e
- up to 2.14.2

* Sat Feb 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 45edcca
- pl

* Sat Feb 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 424cf8a
- unconditional noarch subpackage

* Sat Feb 27 2021 Jakub Bogusz <qboosh@pld-linux.org> c4b43de
- new URLs, updated to 2.14.1

* Wed Jun 10 2020 Jan Palus <atler@pld-linux.org> f07cc01
- new (version 2.14.0)

